<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2016 osCommerce

  Released under the GNU General Public License
*/

  class OSCOM_Braintree_CC_Cfg_dynamic_descriptor {
    var $default = '1';
    var $title;
    var $description;
    var $sort_order = 135;

    function __construct() {
      global $OSCOM_Braintree;

      $this->title = $OSCOM_Braintree->getDef('cfg_cc_dynamic_descriptor_title');
      $this->description = '<a href="https://developer.paypal.com/braintree/docs/reference/request/transaction/sale/php#dynamic-descriptors" target="_blank">' . $OSCOM_Braintree->getDef('cfg_cc_dynamic_descriptor_desc') . '</a>' . '<small> ' . $OSCOM_Braintree->getDef('cfg_cc_dynamic_descriptor_note') . '</small>';
    }

    function getSetField() {
      global $OSCOM_Braintree;

      $input = '<input type="radio" id="dynamicDescriptorTrue" name="dynamic_descriptor" value="1"' . (OSCOM_APP_PAYPAL_BRAINTREE_CC_DYNAMIC_DESCRIPTOR == '1' ? ' checked="checked"' : '') . '><label for="dynamicDescriptorTrue">' . $OSCOM_Braintree->getDef('cfg_cc_dynamic_descriptor_true') . '</label>' .
               '<input type="radio" id="dynamicDescriptorFalse" name="dynamic_descriptor" value="0"' . (OSCOM_APP_PAYPAL_BRAINTREE_CC_DYNAMIC_DESCRIPTOR == '0' ? ' checked="checked"' : '') . '><label for="dynamicDescriptorFalse">' . $OSCOM_Braintree->getDef('cfg_cc_dynamic_descriptor_false') . '</label>';

      $result = <<<EOT
<div>
  <p>
    <label>{$this->title}</label>

    {$this->description}
  </p>

  <div id="dynamicDescriptorSelection">
    {$input}
  </div>
</div>

<script>
$(function() {
  $('#dynamicDescriptorSelection').buttonset();
});
</script>
EOT;

      return $result;
    }
  }
?>
